# Gisaf

*Gisaf* is a web based GIS (Geographical Information System) initially developed
for the CSR Goematics unit in Auroville, India.

## Features

- Layers defined with Python plugins or ANSI-standard categories
- Support of different geographical projections
- Integrated administration interface
- Export of data from standard formats (Geopackage, Shapefile)
- Import and update of data managed in a well defined workflow with "baskets"
- Role-based access to data
- Support temporal and other data for different features
- Detailed information for all features
- Tagging of features
- Customizable, user triggered actions
- Background map
- Customizable base maps (domain specific set of layers)
- Plugin architecture: add functions with Python packages

## Software stack

- Python: the Swiss Army knife language
- Pydantic: the power of typing
- FastAPI: web wizzard
- SQLModel: SQL (ORM)
- Postgis: geographical extension for the PostGresql database
- Pandas and Geopandas: the data jugglers

## Installation / deployment

See the documentation in the deployment directory.
