from fastapi.testclient import TestClient

from gisaf.application import app

client = TestClient(app)


def test_bootstrap():
    with TestClient(app) as client:
        response = client.get("/api/bootstrap")
        assert response.status_code == 200
        json = response.json()
        assert "version" in json
        assert "title" in json
        assert "windowTitle" in json
        assert "map" in json
        assert "geo" in json
        assert "measures" in json
        assert json["user"] is None
        assert "bearing" in json["map"]
        assert "lat" in json["map"]
        assert "lng" in json["map"]
        assert "pitch" in json["map"]
        assert "zoom" in json["map"]
        assert "style" in json["map"]
        assert "status" in json["map"]
        assert isinstance(json["map"]["status"], list)
